{ config, pkgs, lib, ... }:

{

    imports = [
		../../modules
    ];

	networking.hostName = "sif";

	boot.loader = {
		grub.enable = false;
		generic-extlinux-compatible.enable = true;
	};

	environment.systemPackages = with pkgs; [
		git
		vim
	];

	system.stateVersion = "21.11";

	riley = {
		gui = false;
		kak = {
			enable = true;
			nix = true;
		};
	};

	users.users."riley" = {
		isNormalUser = true;
		extraGroups = [ "wheel" ];
	};

	boot.kernelPackages = pkgs.linuxPackages_latest;

	fileSystems."/" = {
		device = "/dev/disk/by-label/NIXOS_SD";
		fsType = "ext4";
	};

}
