{ pkgs, lib, config, ... }:

with lib; (mkIf config.riley.gui {
	home-manager.users."riley" = {

		# Kitty lets me use cool ligatures
    	programs.kitty = {
			enable = true;

			font = {
    			name = "Fira Code";
    			size = 11;
			};
			
			settings = with config.riley.theme.hex; {

    			bold_font = "Fira Code Medium";
    			
				background = background.primary;
				foreground = foreground.primary;

				color1  = red.normal;
				color9  = red.bright;

				color2  = green.normal;
				color10 = green.bright;

				color3  = yellow.normal;
				color11 = yellow.bright;

				color4  = blue.normal;
				color12 = blue.bright;

				color5  = purple.normal;
				color13 = purple.bright;

				color6  = cyan.normal;
				color14 = cyan.bright;

			};
    	};
    	
	};
})
